Package com.sun.jna.platform.win32

## Class Winioctl.STORAGE_DEVICE_NUMBER

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Winioctl.STORAGE_DEVICE_NUMBER

- Direct Known Subclasses:
    `Winioctl.STORAGE_DEVICE_NUMBER.ByReference`
  Enclosing interface:
    Winioctl

      @FieldOrder({"DeviceType","DeviceNumber","PartitionNumber"})
      public static class Winioctl.STORAGE_DEVICE_NUMBER
      extends Structure

  Contains information about a device. This structure is used by the IOCTL_STORAGE_GET_DEVICE_NUMBER control code.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Winioctl.STORAGE_DEVICE_NUMBER.ByReference` |

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `DeviceNumber` | The number of this device.
    `int` | `DeviceType` | The type of device.
    `int` | `PartitionNumber` | The partition number of the device, if the device can be partitioned.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `STORAGE_DEVICE_NUMBER()` |
    `STORAGE_DEVICE_NUMBER​(Pointer memory)` |

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DeviceType

          public int DeviceType

      The type of device. Values from 0 through 32,767 are reserved for use by Microsoft. Values from 32,768 through 65,535 are reserved for use by other vendors.

    - #### DeviceNumber

          public int DeviceNumber

      The number of this device.

    - #### PartitionNumber

          public int PartitionNumber

      The partition number of the device, if the device can be partitioned. Otherwise, this member is -1.

  - ### Constructor Detail

    - #### STORAGE_DEVICE_NUMBER

          public STORAGE_DEVICE_NUMBER()

    - #### STORAGE_DEVICE_NUMBER

          public STORAGE_DEVICE_NUMBER​(Pointer memory)